Przejdź do treści
Sursa Developers

Obiekty

WebhookDeliveryDetail

Pola

  • idintegerwymagane
  • webhook_idintegerwymagane
  • event_idstringwymagane

    ID zdarzenia (evt_…), wysyłany także w nagłówku X-KB-Event-Id i w treści dostarczenia.

  • event_typeWebhookEventTypewymagane
  • event_created_atstring (date-time)wymagane
  • attemptintegerwymagane

    Liczba wykonanych prób.

  • statusWebhookDeliveryStatuswymagane
  • response_codeinteger | null
  • duration_msinteger | null
  • next_retry_atstring (date-time) | null
  • errorstring | null
  • delivered_atstring (date-time) | null
  • created_atstring (date-time)wymagane
  • updated_atstring (date-time)wymagane
  • sequenceinteger | null

    Numer w kolejności dostarczeń webhooka (X-KB-Sequence); null dla dostarczenia testowego.

  • testbooleanwymagane

    Dostarczenie testowe (POST /v1/webhooks/{webhook_id}/test).

  • redelivery_ofinteger | null

    Pierwotne dostarczenie, jeśli to dostarczenie jest ponowne.

  • error_codestring | null

    Kod neutralny ostatniego niepowodzenia: timeout, connection_failed, tls_error, private_address, unresolvable, redirect, http_error, request_failed, endpoint_disabled, event_expired; anulowane dostarczenie (cancelled) może mieć też event_not_permitted (w chwili próby zdarzenie wykracza poza uprawnienia webhooka, ponieważ uprawnienia zawężono po rozesłaniu zdarzenia) lub event_unavailable (treść dostarczenia testowego nie jest już dostępna).

  • request_bodystring | null

    Treść żądania, do 16 KB.

  • request_body_truncatedbooleanwymagane
  • attemptsarray of WebhookAttemptwymagane

Używane przez